Bug 852104 - vdsm problem on RHEL with sanlock 2.3
vdsm problem on RHEL with sanlock 2.3
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
All Linux
high Severity high
: rc
: ---
Assigned To: Federico Simoncelli
Haim
storage
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 11:58 EDT by Laszlo Hornyak
Modified: 2014-01-12 19:54 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 07:10:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laszlo Hornyak 2012-08-27 11:58:22 EDT
While VDSM is packaged with sanlock 2.3 for RHEL, sanlock 2.3-3 does not accept 'wait' parameter in inq_lockspace call. This causes the functionality to fail always.

https://lists.fedorahosted.org/pipermail/vdsm-devel/2012-August/001369.html
Comment 3 Federico Simoncelli 2012-08-28 04:56:49 EDT
The 'wait' parameter for inq_lockspace was backported in sanlock 2.3-3 as part of rhbz#841995.

* Tue Jul 24 2012 David Teigland <teigland@redhat.com> - 2.3-3
- Resolves: rhbz#841991 rhbz#840955 rhbz#841992 rhbz#841994 rhbz#841995 rhbz#840953 rhbz#842764

Please reopen if you have any log or evidence of the issue (reporting also all the components versions).
Comment 4 Laszlo Hornyak 2012-08-28 05:08:36 EDT
log:

d1a640e1-5932-46f5-becf-99e8177db4dc::ERROR::2012-08-28 07:53:36,991::task::833::TaskManager.Task::(_setError) Task=`d1a640e1-5932-46f5-becf-99e8177db4dc`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 840, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/storage/task.py", line 307, in run
    return self.cmd(*self.argslist, **self.argsdict)
  File "/usr/share/vdsm/storage/sp.py", line 252, in startSpm
    self.masterDomain.acquireHostId(self.id)
  File "/usr/share/vdsm/storage/sd.py", line 427, in acquireHostId
    self._clusterLock.acquireHostId(hostId, async)
  File "/usr/share/vdsm/storage/safelease.py", line 170, in acquireHostId
    self._sdUUID, hostId, self._idsPath, wait=True):
TypeError: 'wait' is an invalid keyword argument for this function
d1a640e1-5932-46f5-becf-99e8177db4dc::DEBUG::2012-08-28 07:53:36,991::task::852::TaskManager.Task::(_run) Task=`d1a640e1-5932-46f5-becf-99e8177db4dc`::Task._run: d1a640e1-5932-46f5-becf-99e8177db4dc () {} failed - stopping task
Comment 5 Federico Simoncelli 2012-08-28 05:25:34 EDT
Please provide at least the component (sanlock) information:
$ rpm -qi sanlock sanlock-python
Comment 6 Federico Simoncelli 2012-08-29 06:40:35 EDT
Please report both:

$ rpm -qi sanlock sanlock-python
$ python -c "import sanlock;print sanlock.inq_lockspace.__doc__"

Note You need to log in before you can comment on or make changes to this bug.